<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Introduction to HTML 1</title>
</head>
<body>
	<p><i>Science and Engineering Ethics (2001) 7, 231-238</i></p>
	<hr>
	<h1>Software Engineering Code of Ethics and Professional Practice</h1>
	<h4>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h4>
	<hr>
	<p>
		<strong>Keywords</strong>: code of ethics, professional responsibility, software engineering
	</p>
	<p><strong>PREAMBLE</strong></p>
	<p>
		The short version of the code summarizes aspiarations at ahigh level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code.
	</p>
	<p>
		Software engineering shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software enginners shall adhere to the following eight Principles:
	</p>
	<p><strong>PRINCIPLES</strong></p>
		<ol>
			<li>
				<em>Public</em>. Software engineers shall act consistently with the public interest.
			</li>
			<li>
				<em>Client and employer</em>. Software engineers shall act in manner that is in the best interest of their client and employer, consistent with the public interest.
			</li>
			<li>
				<em>Product</em>. Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.
			</li>
			<li>
				<em>Judgement</em>. Software engineers shall maintain integrity and independence in their professional judgement.
			</li>
			<li>
				<em>Management</em>. Software Engineers managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.
			</li>
			<li>
				<em>Profession</em>. Software engineers shall advcance the integrity and reputation of the prefession consistent with the public interest.
			</li>
			<li>
				<em>Colleagues</em>. Software engineers shall be fair and supportive of their colleagues.
			</li>
			<li>
				<em>Self</em>. Software enginners shall participate in lifelong learning regarding the practices of their profession and shall promote an ethical approach to the practice of the profession.
			</li>
		</ol>

</body>
</html>